/*
 * Musepack audio compression
 * Copyright (C) 1999-2004 Buschmann/Klemm/Piecha/Wolf
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#pragma once

// assembles a SV8 packet from payload
int writePacket(mpc_uint8_t *outbuf, int code, mpc_uint8_t *payload, int payload_len, mpc_bool_t add_crc);

void writeMagic(mpc_bitstream *bs);

void writeStreamHeader(mpc_enc_t *e, mpc_bitstream *bs);
void writeGainInfo(mpc_enc_t *e, mpc_bitstream *bs);
void writeEncoderInfo(mpc_enc_t *e, mpc_bitstream *bs);
void writeSeekTable(mpc_enc_t *e, mpc_bitstream *bs);

//void writeBitstream_SV8(mpc_enc_t *, int);
